function out = dataProc(v,AEff,pol)
% (c)GOMTRAIC2013 - Frederik Ostyn

step = 1e-6; %time step in sec

%Eliminate offset
av = mean(v(1:5000)); %Look for average value over 5ms
vNoOffSet = v-av; %Data - offset

%Integrate
b = zeros(length(v),1);
b(1) = vNoOffSet(1)*step/AEff/pol;
for i = 2:length(v)
    b(i) = b(i-1)+step*vNoOffSet(i)/AEff/pol;
end

%Substract moving average to have high freq only
out = smooth(b-smooth(b,250),30); %band pass filter 
end